## blender 2.83.1+dfsg

=== debian/changelog ===
blender (2.83.1+dfsg-3~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 13 Jul 2020 16:36:57 -0700

blender (2.83.1+dfsg-3) unstable; urgency=medium

  * debian/control: debhelper bump 12 -> 13
  * debian/patches/: patchset updated
    - 0005-fix_arm+mipsel_ftbfs.patch added (Closes: #964305)
      Thanks to Sergey Sharybin (upstream) for the quick fix.

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 09 Jul 2020 10:34:08 +0200

blender (2.83.1+dfsg-2) unstable; urgency=medium

  [ Antonio Ospite ]
  * debian/patches: do not override fonts installation path anymore
    (Closes: #963975)
  * debian/rules: disable debug (e.g. asserts) in debian builds
    (Closes: #962074)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 04 Jul 2020 20:54:31 +0200

blender (2.83.1+dfsg-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/: patchset refreshed against v2.83.1
    - debian/control: sdl -> sdl2 in build-deps

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 29 Jun 2020 00:06:23 +0200
