## blender 2.83.2+dfsg

=== debian/changelog ===
blender (2.83.2+dfsg-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * debian/control: debhelper revert 13 -> 12

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 22 Jul 2020 15:20:39 -0700

blender (2.83.2+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 20 Jul 2020 16:00:32 +0200
