=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: blender
 Section: graphics
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 12),
