## blender 2.83.3+dfsg

=== debian/changelog ===
blender (2.83.3+dfsg-0.1~mx19+1) mx; urgency=medium

  * New upstream release
  * Remove 0005-fix_arm+mipsel_ftbfs.patch: applied upstream.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 26 Jul 2020 03:56:15 -0700

blender (2.83.2+dfsg-1~obs) obs; urgency=medium

  * Rebuild for MX Linux.
  * debian/control: debhelper revert 13 -> 12

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 22 Jul 2020 15:20:39 -0700
