## blender 2.83.4+dfsg

=== debian/changelog ===
blender (2.83.4+dfsg-0.1~mx19+1) mx; urgency=medium

  * New upstream release.
  * Revert to debhelper-compat = 12.
  * Drop 0005-fix_T78867.patch: fixed upstream.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 07 Aug 2020 12:44:23 -0700

blender (2.83.3+dfsg-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/: patchset updated
    - 0005-fix_arm+mipsel_ftbfs.patch dropped (applied upstream)
    - 0005-fix_T78867.patch added (Closes: #964802, #965313)

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 29 Jul 2020 22:45:51 +0200
