=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
                libalut-dev,
                libavcodec-dev (>> 6:10),
                libavdevice-dev,
+               libavfilter-dev,
                libavformat-dev,
-               libavfilter-dev,
                libblosc-dev,
                libboost-dev,
                libboost-filesystem-dev,
@@ -81,9 +81,7 @@
 
 Package: blender-data
 Architecture: all
-Depends: python3,
-         ${misc:Depends},
-         ${python3:Depends}
+Depends: python3, ${misc:Depends}, ${python3:Depends}
 Replaces: blender (<< 2.67b-1~)
 Description: Very fast and versatile 3D modeller/renderer - data package
  Blender is an integrated 3d suite for modelling, animation, rendering,
