=== debian/rules ===
--- 
+++ 
@@ -64,8 +64,8 @@
 
 override_dh_auto_test:
 
+%:
+	dh $@ --buildsystem=cmake --with python3
+
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym
-
-%:
-	dh $@ --buildsystem=cmake --with python3
