=== debian/changelog ===
blender (2.83.5+dfsg-5) unstable; urgency=medium

  * debian/patches/: patchset updated (Closes: #976378)
    - 0007-BPY_thread_save_crashes_against_Py3.9.patch added
  * debian/control: S-V bump 4.5.0 -> 4.5.1 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 09 Dec 2020 15:11:57 +0100

blender (2.83.5+dfsg-4) unstable; urgency=medium

  * debian/patches/: patchset updated (Closes: #973292)
    - 0006-fix_FTBFS_with_python3.9.patch added

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 05 Nov 2020 20:44:14 +0100

blender (2.83.5+dfsg-3) unstable; urgency=medium

  * debian/control: libpugixml-dev b-dep added

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 01 Oct 2020 15:11:47 +0200

blender (2.83.5+dfsg-2) unstable; urgency=medium

  * Team upload.
  * d/patches: Fix compilation with OpenVDB. Closes: #970271

 -- Mathieu Malaterre <malat@debian.org>  Mon, 14 Sep 2020 10:44:01 +0200

blender (2.83.5+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 23 Aug 2020 22:55:43 +0200

blender (2.83.4+dfsg-1) unstable; urgency=medium

  * New upstream release
    - d/p/0005-fix_T78867.patch: dropped (applied upstream)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 08 Aug 2020 23:37:37 +0200
